#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Tue Nov 13 17:08:50 2018

@author: lessig
"""

def visualizePointH2( mode = 'uniformH2', n = 1000 ) :

    # generate points

    if mode == 'uniformH2' :
        ts = np.arccos( np.random.rand( n))
    elif mode == 'uniformR2':
        ts = np.random.rand( n) * np.pi / 2.
    else:
        print( 'Mode not supported')
        return
        
    ps = np.random.rand( n) * 2. * np.pi

    # map to hemisphere
    
    scs = np.zeros( (n,3))
    for i in range(n) :
        scs[i] = s2tor3( ts[i], ps[i])

    # plot

    fig = plt.figure( figsize=(10, 7))
    ax = fig.add_subplot(111, projection='3d')
    
    ax.scatter( scs[:,0], scs[:,1], scs[:,2], c='red', marker='+')